.app-page {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    height: 100vh;
    width: 100vw;
}

.app-page.ng-enter,
.app-page.ng-leave {
    -webkit-transition: all linear 0.2s;
    transition: all linear 0.2s;
}

.app-page.ng-enter {
    opacity: 0;
}

.app-page.ng-enter.ng-enter-active {
    opacity: 1;
}

.app-page.ng-leave {
    opacity: 1;
}

.app-page.ng-leave.ng-leave-active {
    opacity: 0;
}